% clear;clc


figure(101);clf
hold on
plot([x1,x2],[y1,y2],'or')
hold off
%% Upper side
p1 = -2.619e-15; 
p2 = -7.954e-12;
p3 = 2.11e-09;
p4 = -1.544e-05;
p5 = 0.01775;
p6 = 37.46;

% x0 = -1600;
% p1*x0^4 + p2*x0^3 + p3*x0^2 + p4*x0 + p5

clear xx yy yy1 yy2
xx = linspace(-1942.1,1341,50000);
%yy1 = p1*xx.^4 + p2*xx.^3 + p3*xx.^2 + p4*xx + p5;
%yy1 = p1*xx.^6 + p2*xx.^5 + p3*xx.^4 + p4*xx.^3 + p5*xx.^2 + p6*xx + p7;
yy1 = p1*xx.^5 + p2*xx.^4 + p3*xx.^3 + p4*xx.^2 + p5*xx + p6;
hold on
plot(xx,yy1,'-b')
hold off
%% Lower side
p1 =   1.37e-23; 
p2 =   3.602e-20; 
p3 =   -1.472e-17; 
p4 =   -8.53e-14; 
p5 =   -1.09e-11;
p6 =    5.963e-08;
p7 =    2.265e-05; 
p8 =   0.02213;
p9 =   -148;

%yy2 = p1*xx.^6 + p2*xx.^5 + p3*xx.^4 + p4*xx.^3 + p5*xx.^2 + p6*xx + p7;
yy2 = p1*xx.^8 + p2*xx.^7 + p3*xx.^6 + p4*xx.^5 + p5*xx.^4 + p6*xx.^3 + p7*xx.^2 + p8*xx + p9;
% x0 = -1800
% p1*x0^6 + p2*x0^5 + p3*x0^4 + p4*x0^3 + p5*x0^2 + p6*x0 + p7
%yy2(end)=0;
hold on
plot(xx,yy2,'-b')
hold off
grid on

xlabel('Stress in longitudinal direction, \sigma_1 (MPa)')
ylabel('Stress in transverse direction, \sigma_2 (MPa)')
legend('FORM','Fitted curve','location','northeast')

ry = yy2-yy1;
minry = min(abs(ry(1:2500)));
find(abs(ry(1:2500))==minry)
xx(find(abs(ry(1:2500))==minry))
yy1(find(abs(ry(1:2500))==minry))
yy2(find(abs(ry(1:2500))==minry))

