clear;clc


figure(101);clf
hold on
plot([x1,x2],[y1,y2],'or')
hold off
%% Upper side
p1 = -4.334e-12; 
p2 = -3.857e-09;
p3 = -2.455e-05;
p4 =  0.02013;
p5 = 38.5;

% x0 = -1600;
% p1*x0^4 + p2*x0^3 + p3*x0^2 + p4*x0 + p5

clear xx yy yy1 yy2
xx = linspace(-1970,1314.5,2500);
yy1 = p1*xx.^4 + p2*xx.^3 + p3*xx.^2 + p4*xx + p5;
%yy1 = p1*xx.^6 + p2*xx.^5 + p3*xx.^4 + p4*xx.^3 + p5*xx.^2 + p6*xx + p7;
%yy1 = p1*xx.^5 + p2*xx.^4 + p3*xx.^3 + p4*xx.^2 + p5*xx + p6;
hold on
plot(xx,yy1,'-b')
hold off
%% Lower side
p1 =   7.216e-18; 
p2 =   1.877e-14; 
p3 =   6.004e-12; 
p4 =    -1.5e-08; 
p5 =   2.871e-06;
p6 =     0.03362;
p7 =       -143.9; 
yy2 = p1*xx.^6 + p2*xx.^5 + p3*xx.^4 + p4*xx.^3 + p5*xx.^2 + p6*xx + p7;

% x0 = -1800
% p1*x0^6 + p2*x0^5 + p3*x0^4 + p4*x0^3 + p5*x0^2 + p6*x0 + p7

hold on
plot(xx,yy2,'-b')
hold off
grid on

xlabel('Stress in longitudinal direction, \sigma_1 (MPa)')
ylabel('Stress in transverse direction, \sigma_2 (MPa)')
legend('FORM','Fitted curve',0)

ry = yy2-yy1;
minry = min(abs(ry(1:2500)));
find(abs(ry(1:2500))==minry)
xx(find(abs(ry(1:2500))==minry))
yy1(find(abs(ry(1:2500))==minry))
yy2(find(abs(ry(1:2500))==minry))

